> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/trade-book.md).

# Trade Book

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/TradeBook`

\
**QUERY PARAMETERS**

| Request Parameter | Description | Mandatory |
| ----------------- | ----------- | --------- |
| broker            | Broker code | Yes       |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/TradeBook
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret", 
"data":   
{
 "broker":"tc"
}
}
```

{% endcode %}

{% code title="Response example :" %}

```
[
{
 "status": "success",
 "data": [
     {
         "exchange": "NFO",
         "product": "NRML",
         "symbol": "INFY22NOV1500CE",
         "pricetype": "MARKET",
         "action": "SELL",
         "quantity": 300,
         "exchordid": "2300000001405312",
         "order_id": "221111200149902",
         "exchtime": "2022-11-11 09:18:58",
         "price": 62
     }
 ]
}
]
```

{% endcode %}
